### Method

# Gio DBusInterface get_object

since: 2.30

#### Declaration

    GDBusObject*
    g_dbus_interface_get_object (
      GDBusInterface* interface_
    )

#### Description

Gets the `GDBusObject` that `interface_` belongs to, if any.

It is not safe to use the returned object if `interface_` or the returned object is being used from other threads. See `g_dbus_interface_dup_object()` for a thread-safe alternative.

Available since: 2.30

This method is not directly available to language bindings.

The implementation of this method is provided by `g_dbus_interface_dup_object()` in language bindings

#### Return value

Type: `GDBusObject`

A `GDBusObject` or `NULL`. The returned reference belongs to `interface_` and should not be freed.

The data is owned by the instance.
The return value can be `NULL`.